<?
include("../fnc.php");
enlinea_a();
include("../fnc_sms.php");

if(strlen($txtnumero) <8 or strlen($txtnumero) >8 ){
  alert("El teléfono debe tener 8 dígitos.",$goback);
}

function get_empresa_sms($txtnumero){
  $q=mysql_query("select * from rangos_telefonos where inicio <='$txtnumero' and final >='$txtnumero'");
  $i=mysql_fetch_array($q);
  switch($i[empresa]){
    case "claro":
                  return 1;
    break;

    case "telefonica":
                  return 2;
    break;

    case "comcel":
                  return 3;
    break;
    default: return 0;
  }
}

$empresa_tel=get_empresa_sms($txtnumero);

//echo $empresa_tel;

switch($empresa_tel){

 case 1:
   sms_claro($txtnombre, $txtnumero, $txtmensaje);
   alert("Mensaje enviado","frm_sms.php");
 break;
 case 2:
   sms_telefonica($txtnombre, $txtnumero, $txtmensaje);
   alert("Mensaje enviado","frm_sms.php");
 break;
 case 3:
   sms_tigo($txtnombre, $txtnumero, $txtmensaje);
   alert("Mensaje enviado","frm_sms.php");
 break;

 default: alert("Número no encontrado en los rangos del sistema\\npor favor verifíquelo","frm_sms.php");
}

header("Location: frm_sms.php");
?>
